<?php
define('NTLCMS', 1);
$module = 'response';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
$chatonline = DB :: run() -> querySingle("select count(`id`) from `users` where `where` = 'chat' or 'who' and `ontime` > ?", array(TIME - 180));
if ($set['chat'] == '1' && $_USER['admin'] != '1'){
echo '<div class="title"><b>'.razd.' Беседка - <a href="'.URL.'/chat_who">'.$chatonline.' чел</a></b></div>';
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Модуль закрыт администратором!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php');
exit;
}
echo '<div class="title"><b>'.razd.'Ответ администратора</b></div>';
if ($_USER['admin'] == '1'){
$id = isset($_GET['id']) ? filter_var($_GET['id'], FILTER_SANITIZE_NUMBER_INT) : '0';
$sql = DB :: run() -> query("select * from `chat` where `id` = ?", array($id));
if (DB :: run() -> querySingle("select * from `chat` where `id` = ?", array($id))){
$error = null;
if (isset($_POST['text'])){
$text = isset($_POST['text']) ? filter_var($_POST['text'], FILTER_SANITIZE_FULL_SPECIAL_CHARS) : false;
if (empty($text)){
$error.= 'Ответ не должен быть пуст!<br/>';
} elseif (mb_strlen($text, 'UTF-8') < 1 or mb_strlen($text, 'UTF-8') > 2500){
$error.= 'Ответ должен содержать от 1 до 2500 символов!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
if (DB :: run() -> query("update `chat` set `admin` = ?, `response` = ? where `id` = ?", array($ilogin, $text, $id))){
header('Location: '.URL.'/chats');
$_SESSION['success'] = 'Ответ успешно добавлен!';
} else {
header('Location: '.URL.'/chats');
$_SESSION['fail'] = 'Ошибка при добавлении ответа!';
}
}
}
$row = $sql -> fetch(PDO::FETCH_OBJ);
echo '<div class="menu"><form name="form" action="" method="post">';
echo fast_smile() . panel('text').'
<textarea name="text" rows="3" cols="20" id="text"></textarea><br/>
<input type="submit" value="Добавить ответ"/></form></div>';
}
} else {
header('Location: '.URL.'/chats');
$_SESSION['fail'] = 'Доступ запрещен!';
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/chats">В беседку</a></div>';
include ('../system/foot.php');
?>